SDL_SetWindowFocusable(3)

NAME
SDL_SetWindowFocusable - Set whether the window may have input focus.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetWindowFocusable(SDL_Window *window, SDL_bool focusable);

FUNCTION PARAMETERS

window
    the window to set focusable state

focusable
    SDL_TRUE
     to allow input focus, SDL_FALSE
     to not allow input focus

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.